#define BIT7 0x80
#define BIT6 0x40
#define BIT5 0x20
#define BIT4 0x10
#define BIT3 0x08
#define BIT2 0x04
#define BIT1 0x02
#define BIT0 0x01

#define HIGH 1
#define LOW 0

#define TRUE 1
#define FALSE 0

#define LOWBYTE(v)   ((unsigned char) (v))
#define HIGHBYTE(v)  ((unsigned char) (((unsigned int) (v)) >> 8))

//PID controller
#define PID_INTERVAL 10	//PID update interval in milliseconds

//PCA
#define PCA_RUN 1
#define PCA_STOP 0

//USB interface
#define USB_PACKET_SIZE 62
#define TEMP_DATA_LEN 3
#define USB_CMD_LEN 6

#define IDLE 0
//SPI Flow
#define FIRST_TC_BYTE_SENT 1
#define SEND_SECOND_TC_BYTE 2
#define SECOND_TC_BYTE_SENT 3

#define FIRST_DAC_BYTE_SENT 4
#define SECOND_DAC_BYTE_SENT 5

//DAC
#define DAC_CH_A 1
#define DAC_CH_B 2
#define DAC_CH_C 3
#define DAC_CH_D 4
#define DAC_RGB_R DAC_CH_A
#define DAC_RGB_G DAC_CH_B
#define DAC_RGB_B DAC_CH_C
#define DAC_HEATER DAC_CH_D

//global variables shared across files
extern unsigned char SPI_State;
extern bit TEMP_DATA_READY;
extern unsigned char TempData[TEMP_DATA_LEN];
extern unsigned char UpdateDAC_FirstByte;
extern unsigned char UpdateDAC_SecondByte;
extern bit PID_WAIT;

//function prototypes
void TransmitUSB_TempData();
void myAPICallback();
void Delay_us(unsigned int DelayCount);
void Delay_10ms(unsigned int DelayCount);
void UpdateDAC(unsigned char ChannelABCorD, unsigned char DACcode);
void GatherTempData(void);

//port pins
sbit DAC_NSS = P2^0;
sbit TC_NSS = SPI0CN0^2;
sbit P1_1_DEBUG = P1^1;
