#include <SI_EFM8UB2_Register_Enums.h>                  // SFR declarations
#include "Project_DefsVarsFuncs.h"

void GatherTempData(void)
{
	//ensure that we are not interrupting an ongoing transmission
	while(SPI_State != IDLE);

	SPI0CN0_SPIEN = 0;	//disable SPI so we can change the clock configuration
	SPI0CFG &= ~SPI0CFG_CKPOL__BMASK;	//set clock phase for the MAX31855 interface
	SPI0CFG &= ~SPI0CFG_CKPHA__BMASK;	//set clock polarity for the MAX31855 interface
	SPI0CN0_SPIEN = 1;	//re-enable SPI

	TC_NSS = LOW;	//activate MAX31855 slave select

	/*We need to write a dummy byte to initiate the SPI transaction.
	 * We do not need to send any data to the MAX31855; rather,
	 * writing to the SPI0DAT register forces the EFM8 to generate
	 * the clock pulses that cause the MAX31855 to transmit data.*/
	SPI0DAT = 0x00;

	SPI_State = FIRST_TC_BYTE_SENT;
}



