//-----------------------------------------------------------------------------
// Includes
//-----------------------------------------------------------------------------
#include <SI_EFM8UB2_Register_Enums.h>                  //SFR declarations
#include "InitDevice.h"
#include "VCPXpress.h"
#include "descriptor.h"
#include "Project_DefsVarsFuncs.h"

//-----------------------------------------------------------------------------
// main() routine
// ----------------------------------------------------------------------------
int main(void)
{
	unsigned char Heater_Drive;

	//call hardware initialization routine
	enter_DefaultMode_from_RESET();

	//VCPXpress initialization
	//USB_Init(&InitStruct);

	//enable VCPXpress API interrupts
	//API_Callback_Enable(myAPICallback);

	//enable global interrupts
	IE_EA = 1;

	Heater_Drive = 0;

	//refer to the PCA ISR for information on the delay functionality
	PCA0 = 0x0000 - PID_INTERVAL;
	PCA0CN0_CR = PCA_RUN;

	while (1)
	{
		PID_WAIT = TRUE;
		while(PID_WAIT == TRUE);

		UpdateDAC(DAC_HEATER, Heater_Drive);
		Heater_Drive++;
	}
}
