#include <SI_EFM8UB2_Register_Enums.h>                  // SFR declarations
#include "VCPXpress.h"
#include "descriptor.h"
#include "Project_DefsVarsFuncs.h"

uint16_t xdata USBBytesRcvd = 0;                   // Holds size of received packet
uint16_t xdata USBBytesTransmitted = 0;			//Holds number of bytes actually transmitted
uint8_t xdata USBRxPacket[USB_PACKET_SIZE];     // Packet received from host


/**************************************************************************//**
 * VCPXpress callback
 * This function is called by VCPXpress.
 *****************************************************************************/
VCPXpress_API_CALLBACK(myAPICallback)
{
   uint32_t API_InterruptCode;

   //get the code that indicates the reason for the interrupt
   API_InterruptCode = Get_Callback_Source();

   //if the USB connection was just opened
   if (API_InterruptCode & DEVICE_OPEN)
   {
	   //start the first USB read procedure
	   Block_Read(USBRxPacket, USB_PACKET_SIZE, &USBBytesRcvd);
	   /*we will process the received bytes when we get
	   a callback with an RX_COMPLETE interrupt code*/
   }

   if (API_InterruptCode & RX_COMPLETE)   //USB read complete
   {
		   //'S' indicates that the host is changing the setpoint
		   if(USBRxPacket[0] == 'S')
		   {
			   //this functionality is not needed yet
		   }

	   //continue with the next USB read procedure
	   Block_Read(USBRxPacket, USB_PACKET_SIZE, &USBBytesRcvd);
   }
}

void TransmitUSB_TempData()
{
		Block_Write(TempData, TEMP_DATA_LEN, &USBBytesTransmitted);
}



